Package org.codehaus.groovy.classgen

# Class ReturnAdder

java.lang.Object
org.codehaus.groovy.classgen.ReturnAdder

public class ReturnAdder extends Object
Utility class to add return statements. Extracted from Verifier as it can be useful for some AST transformations

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ReturnAdder.ReturnStatementListener`
Implement this method in order to be notified whenever a return statement is generated.

## Constructor Summary

Constructors
Constructor
Description
`ReturnAdder()`
`ReturnAdder(ReturnAdder.ReturnStatementListener listener)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`addReturnIfNeeded(MethodNode node)`
Deprecated.
Use `visitMethod(org.codehaus.groovy.ast.MethodNode)` instead
`void`
`visitMethod(MethodNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReturnAdder

public ReturnAdder()

### ReturnAdder

public ReturnAdder(ReturnAdder.ReturnStatementListener listener)

## Method Details

### addReturnIfNeeded

@Deprecated public static void addReturnIfNeeded(MethodNode node)
Deprecated.
Use `visitMethod(org.codehaus.groovy.ast.MethodNode)` instead
Adds return statements in method code whenever an implicit return is detected.

Parameters:
  `node` - the method node where to add return statements

### visitMethod

public void visitMethod(MethodNode node)